plugin_interface.h File Reference
`#include <plugin/minpf_plugin.h>`
`#include "grok.h"`
`#include <cstring>`
`#include <string>`

Go to the source code of this file.

## Classes

struct | grk::grk_plugin_debug_mqc
struct | grk::plugin_encode_user_callback_info
struct | grk::PluginDecodeCallbackInfo

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Macros

#define | DEBUG_CONTEXT_CACHE_SIZE 3

## Typedefs

typedef uint32_t(* | grk::PLUGIN_GET_DEBUG_STATE) (void)
typedef void(* | grk::PLUGIN_DEBUG_MQC_NEXT_CXD) (grk_plugin_debug_mqc *mqc, uint32_t d)
typedef void(* | grk::PLUGIN_DEBUG_MQC_NEXT_PLANE) (grk_plugin_debug_mqc *mqc)
typedef void(* | grk::PLUGIN_ENCODE_USER_CALLBACK) (plugin_encode_user_callback_info *info)
typedef bool(* | grk::PLUGIN_INIT) (grk_plugin_init_info initInfo)
typedef int32_t(* | grk::PLUGIN_ENCODE) (grk_cparameters *encoding_parameters, PLUGIN_ENCODE_USER_CALLBACK callback)
typedef int32_t(* | grk::PLUGIN_BATCH_ENCODE) (const char *input_dir, const char *output_dir, grk_cparameters *encoding_parameters, PLUGIN_ENCODE_USER_CALLBACK userCallback)
typedef void(* | grk::PLUGIN_STOP_BATCH_ENCODE) (void)
typedef bool(* | grk::PLUGIN_IS_BATCH_COMPLETE) (void)
typedef int32_t(* | grk::PLUGIN_DECODE_USER_CALLBACK) (PluginDecodeCallbackInfo *info)
typedef int32_t(* | grk::PLUGIN_DECODE) (grk_decompress_parameters *decoding_parameters, PLUGIN_DECODE_USER_CALLBACK userCallback)
typedef int32_t(* | grk::PLUGIN_INIT_BATCH_DECODE) (const char *input_dir, const char *output_dir, grk_decompress_parameters *decoding_parameters, PLUGIN_DECODE_USER_CALLBACK userCallback)
typedef int32_t(* | grk::PLUGIN_BATCH_DECODE) (void)
typedef void(* | grk::PLUGIN_STOP_BATCH_DECODE) (void)

## Macro Definition Documentation

## DEBUG_CONTEXT_CACHE_SIZE

#define DEBUG_CONTEXT_CACHE_SIZE 3